LookupDaoHibernate (gisgraphy 2.0-final API)
Date: 2010-09-01

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.dao.hibernate
Class LookupDaoHibernate

    java.lang.Object
      org.springframework.dao.support.DaoSupport
          org.springframework.orm.hibernate3.support.HibernateDaoSupport
              com.gisgraphy.dao.hibernate.UniversalDaoHibernate
                  com.gisgraphy.dao.hibernate.LookupDaoHibernate

All Implemented Interfaces:
  LookupDao, UniversalDao, org.springframework.beans.factory.InitializingBean

    public class LookupDaoHibernate

extends UniversalDaoHibernate
implements LookupDao

Hibernate implementation of LookupDao.

Author:
  Matt Raible

Field Summary

Fields inherited from class com.gisgraphy.dao.hibernate.UniversalDaoHibernate
`log`

Fields inherited from class org.springframework.dao.support.DaoSupport
`logger`

Constructor Summary
`LookupDaoHibernate()`

Method Summary
`java.util.List<Role>` | `getRoles()` Returns all Roles ordered by name

Methods inherited from class com.gisgraphy.dao.hibernate.UniversalDaoHibernate
`get, getAll, remove, save`

Methods inherited from class org.springframework.orm.hibernate3.support.HibernateDaoSupport
`checkDaoConfig, convertHibernateAccessException, createHibernateTemplate, getHibernateTemplate, getSession, getSession, getSessionFactory, releaseSession, setHibernateTemplate, setSessionFactory`

Methods inherited from class org.springframework.dao.support.DaoSupport
`afterPropertiesSet, initDao`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gisgraphy.dao.UniversalDao
`get, getAll, remove, save`

Constructor Detail

### LookupDaoHibernate

    public LookupDaoHibernate()

Method Detail

### getRoles

    public java.util.List<Role> getRoles()

  Returns all Roles ordered by name

  Specified by:
    `getRoles` in interface `LookupDao`
  Returns:
    populated list of roles

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.